## org.apache.lucene.analysis.it
Class ItalianLightStemmer

    java.lang.Object
      org.apache.lucene.analysis.it.ItalianLightStemmer

    public class ItalianLightStemmer

extends Object

Light Stemmer for Italian.

This stemmer implements the algorithm described in: Report on CLEF-2001 Experiments Jacques Savoy

Constructor Summary
`ItalianLightStemmer()`

Method Summary
`int` `stem(char[] s, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItalianLightStemmer

    public ItalianLightStemmer()

Method Detail

### stem

    public int stem(char[] s,
                    int len)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.